Package org.eclipse.emf.compare.rcp.internal.match

# Class MatchEngineFactoryRegistryWrapper

java.lang.Object
org.eclipse.emf.compare.rcp.internal.match.MatchEngineFactoryRegistryWrapper

All Implemented Interfaces:
  `IMatchEngine.Factory.Registry`

public class MatchEngineFactoryRegistryWrapper extends Object implements IMatchEngine.Factory.Registry
MatchEnginefactoryRegistry that wrap an IItemRegistryinvalid input: '<'IMatchEngine.Factory>.

## Constructor Summary

Constructors
Constructor
Description
`MatchEngineFactoryRegistryWrapper(IItemRegistry<IMatchEngine.Factory> registry)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`IMatchEngine.Factory`
`add(IMatchEngine.Factory factory)`
Add to the registry the given `IMatchEngine.Factory`.
`void`
`clear()`
Clear the registry.
`IMatchEngine.Factory`
`getHighestRankingMatchEngineFactory(IComparisonScope scope)`
Returns the match engine factory, for the given scope, owning the highest ranking.
`List<IMatchEngine.Factory>`
`getMatchEngineFactories(IComparisonScope scope)`
Returns the list of `IMatchEngine.Factory` contained in the registry.
`IMatchEngine.Factory`
`remove(String className)`
Remove from the registry the `IMatchEngine.Factory` designated by the given `String` .

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatchEngineFactoryRegistryWrapper

public MatchEngineFactoryRegistryWrapper(IItemRegistry<IMatchEngine.Factory> registry)
Constructor.

Parameters:
  `registry` - `registry`

## Method Details

### getHighestRankingMatchEngineFactory

public IMatchEngine.Factory getHighestRankingMatchEngineFactory(IComparisonScope scope)
Returns the match engine factory, for the given scope, owning the highest ranking.

Specified by:
  `getHighestRankingMatchEngineFactory` in interface `IMatchEngine.Factory.Registry`
Parameters:
  `scope` - The given scope.
Returns:
  The found match engine factory.
See Also:
  - invalid reference

        org.eclipse.emf.compare.match.IMatchEngine.Factory.Registry#getHighestRankingMatchEngine(java.lang.Object)

### getMatchEngineFactories

public List<IMatchEngine.Factory> getMatchEngineFactories(IComparisonScope scope)
Returns the list of `IMatchEngine.Factory` contained in the registry.

Specified by:
  `getMatchEngineFactories` in interface `IMatchEngine.Factory.Registry`
Parameters:
  `scope` - The scope on which the match engine factories will be applied.
Returns:
  The list of `IMatchEngine.Factory` contained in the registry.
See Also:
  - invalid reference

        org.eclipse.emf.compare.match.IMatchEngine.Factory.Registry#getMatchEngines(org.eclipse.emf.compare.scope.IComparisonScope)

### add

public IMatchEngine.Factory add(IMatchEngine.Factory factory)
Add to the registry the given `IMatchEngine.Factory`.

Specified by:
  `add` in interface `IMatchEngine.Factory.Registry`
Parameters:
  `factory` - The given `IMatchEngine.Factory`.
Returns:
  The previous value associated with the class name of the given `IMatchEngine.Factory`, or null if there was no entry in the registry for the class name.
See Also:
  - invalid reference

        org.eclipse.emf.compare.match.IMatchEngine.Factory.Registry#add(org.eclipse.emf.compare.match.IMatchEngine)

### remove

public IMatchEngine.Factory remove(String className)
Remove from the registry the `IMatchEngine.Factory` designated by the given `String` .

Specified by:
  `remove` in interface `IMatchEngine.Factory.Registry`
Parameters:
  `className` - The given `String` representing a `IMatchEngine.Factory`.
Returns:
  The `IMatchEngine.Factory` designated by the given `String`.
See Also:
  - `IMatchEngine.Factory.Registry.remove(java.lang.String)`

### clear

public void clear()
Clear the registry.

Specified by:
  `clear` in interface `IMatchEngine.Factory.Registry`
See Also:
  - `IMatchEngine.Factory.Registry.clear()`